﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace grid_test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Override.CellClickAction = CellClickAction.CellSelect;
           // ultraGrid1.DisplayLayout.SelectionOverlayBorderThickness = 3;
           //ultraGrid1.DisplayLayout.SelectionOverlayBorderColor = Color.Black;

            var group1 = ultraGrid1.DisplayLayout.Bands[0].Groups.Add("1", "Group1");
            group1.Columns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns[0]);
            group1.Columns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns[1]);

            var group2 = ultraGrid1.DisplayLayout.Bands[0].Groups.Add("2", "Group2");
            group2.Columns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns[2]);
            group2.Columns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns[3]);

            var group3 = ultraGrid1.DisplayLayout.Bands[0].Groups.Add("3", "Group3");
            group3.Columns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns[4]);
            group3.Columns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns[5]);

            ultraGrid1.DisplayLayout.UseFixedHeaders = true;

          //  group3.Header.Fixed = true;

            ultraGrid1.DisplayLayout.Override.FixedRowStyle = FixedRowStyle.Top;

            // Set the FixedRowIndicator to Button. This property can be set to None
            // to prevent the user from fixing or unfixing rows via the user interface.
            // Setting this to None will hide the indicators in the row selectors.
            ultraGrid1.DisplayLayout.Override.FixedRowIndicator = FixedRowIndicator.Button;

      

        }
    }
}